Module tdlight.api
Package it.tdlight.jni

# Class TdApi.InternalLinkTypeBotAddToChannel

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.InternalLinkType
it.tdlight.jni.TdApi.InternalLinkTypeBotAddToChannel

Enclosing class:
  TdApi

public static final class TdApi.InternalLinkTypeBotAddToChannel extends TdApi.InternalLinkType
The link is a link to a Telegram bot, which is supposed to be added to a channel chat as an administrator. Call searchPublicChat with the given bot username and check that the user is a bot, ask the current user to select a channel chat to add the bot to as an administrator. Then, call getChatMember to receive the current bot rights in the chat and if the bot already is an administrator, check that the current user can edit its administrator rights and combine received rights with the requested administrator rights. Then, show confirmation box to the user, and call setChatMemberStatus with the chosen chat and confirmed rights.

## Field Summary

Fields
Modifier and Type
Field
Description
`TdApi.ChatAdministratorRights`
`administratorRights`
Expected administrator rights for the bot.
`String`
`botUsername`
Username of the bot.
`static final int`
`CONSTRUCTOR`
Identifier uniquely determining type of the object.

## Constructor Summary

Constructors
Constructor
Description
`InternalLinkTypeBotAddToChannel()`
The link is a link to a Telegram bot, which is supposed to be added to a channel chat as an administrator.
`InternalLinkTypeBotAddToChannel(DataInput input)`
The link is a link to a Telegram bot, which is supposed to be added to a channel chat as an administrator.
`InternalLinkTypeBotAddToChannel(String botUsername, TdApi.ChatAdministratorRights administratorRights)`
The link is a link to a Telegram bot, which is supposed to be added to a channel chat as an administrator.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`int`
`getConstructor()`
Returns an identifier uniquely determining type of the object.
`int`
`hashCode()`
`void`
`serialize(DataOutput output)`
Serialize the TDLib class

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### botUsername

public String botUsername
Username of the bot.

### administratorRights

public TdApi.ChatAdministratorRights administratorRights
Expected administrator rights for the bot.

### CONSTRUCTOR

public static final int CONSTRUCTOR
Identifier uniquely determining type of the object.

See Also:
  - Constant Field Values

## Constructor Details

### InternalLinkTypeBotAddToChannel

public InternalLinkTypeBotAddToChannel()
The link is a link to a Telegram bot, which is supposed to be added to a channel chat as an administrator. Call searchPublicChat with the given bot username and check that the user is a bot, ask the current user to select a channel chat to add the bot to as an administrator. Then, call getChatMember to receive the current bot rights in the chat and if the bot already is an administrator, check that the current user can edit its administrator rights and combine received rights with the requested administrator rights. Then, show confirmation box to the user, and call setChatMemberStatus with the chosen chat and confirmed rights.

### InternalLinkTypeBotAddToChannel

public InternalLinkTypeBotAddToChannel(String botUsername, TdApi.ChatAdministratorRights administratorRights)
The link is a link to a Telegram bot, which is supposed to be added to a channel chat as an administrator. Call searchPublicChat with the given bot username and check that the user is a bot, ask the current user to select a channel chat to add the bot to as an administrator. Then, call getChatMember to receive the current bot rights in the chat and if the bot already is an administrator, check that the current user can edit its administrator rights and combine received rights with the requested administrator rights. Then, show confirmation box to the user, and call setChatMemberStatus with the chosen chat and confirmed rights.

Parameters:
  `botUsername` - Username of the bot.
  `administratorRights` - Expected administrator rights for the bot.

### InternalLinkTypeBotAddToChannel

public InternalLinkTypeBotAddToChannel(DataInput input) throws IOException
The link is a link to a Telegram bot, which is supposed to be added to a channel chat as an administrator. Call searchPublicChat with the given bot username and check that the user is a bot, ask the current user to select a channel chat to add the bot to as an administrator. Then, call getChatMember to receive the current bot rights in the chat and if the bot already is an administrator, check that the current user can edit its administrator rights and combine received rights with the requested administrator rights. Then, show confirmation box to the user, and call setChatMemberStatus with the chosen chat and confirmed rights.

Parameters:
  `input` - Serialized input
Throws:
  `IOException` - the deserialization failed

## Method Details

### getConstructor

public int getConstructor()
Description copied from class: `TdApi.Object`
Returns an identifier uniquely determining type of the object.

Specified by:
  `getConstructor` in class `TdApi.Object`
Returns:
  this.CONSTRUCTOR

### serialize

public void serialize(DataOutput output) throws IOException
Serialize the TDLib class

Specified by:
  `serialize` in class `TdApi.Object`
Parameters:
  `output` - output data stream
Throws:
  `IOException` - the serialization failed

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`